Create an upload slot
curl --request POST \
--url https://ffmpeg-api.cloud/v1/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileName": "<string>",
"fileType": "<string>",
"fileSize": 123
}
'import requests
url = "https://ffmpeg-api.cloud/v1/files"
payload = {
"fileName": "<string>",
"fileType": "<string>",
"fileSize": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fileName: '<string>', fileType: '<string>', fileSize: 123})
};
fetch('https://ffmpeg-api.cloud/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ffmpeg-api.cloud/v1/files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fileName' => '<string>',
'fileType' => '<string>',
'fileSize' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ffmpeg-api.cloud/v1/files"
payload := strings.NewReader("{\n \"fileName\": \"<string>\",\n \"fileType\": \"<string>\",\n \"fileSize\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://ffmpeg-api.cloud/v1/files")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fileName\": \"<string>\",\n \"fileType\": \"<string>\",\n \"fileSize\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://ffmpeg-api.cloud/v1/files")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fileName\": \"<string>\",\n \"fileType\": \"<string>\",\n \"fileSize\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "3f0e9cfd-4e56-4c0b-8df0-2bfa88c40f50",
"fileName": "<string>",
"contentType": "<string>",
"uploadUrl": "<string>",
"sourceUrl": "<string>",
"sourceUrlExpiresAt": "2026-04-15T08:30:00.000Z"
}{
"error": "Job payload is invalid.",
"code": "INVALID_REQUEST",
"details": [
{
"path": [
"ffmpegArgs"
],
"message": "ffmpegArgs are required.",
"code": "custom"
}
]
}UnauthorizedFiles
Create an upload slot
Create a new source asset record and return a signed upload URL plus a temporary source URL for later job execution.
POST
/
v1
/
files
Create an upload slot
curl --request POST \
--url https://ffmpeg-api.cloud/v1/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileName": "<string>",
"fileType": "<string>",
"fileSize": 123
}
'import requests
url = "https://ffmpeg-api.cloud/v1/files"
payload = {
"fileName": "<string>",
"fileType": "<string>",
"fileSize": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fileName: '<string>', fileType: '<string>', fileSize: 123})
};
fetch('https://ffmpeg-api.cloud/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ffmpeg-api.cloud/v1/files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fileName' => '<string>',
'fileType' => '<string>',
'fileSize' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ffmpeg-api.cloud/v1/files"
payload := strings.NewReader("{\n \"fileName\": \"<string>\",\n \"fileType\": \"<string>\",\n \"fileSize\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://ffmpeg-api.cloud/v1/files")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fileName\": \"<string>\",\n \"fileType\": \"<string>\",\n \"fileSize\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://ffmpeg-api.cloud/v1/files")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fileName\": \"<string>\",\n \"fileType\": \"<string>\",\n \"fileSize\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "3f0e9cfd-4e56-4c0b-8df0-2bfa88c40f50",
"fileName": "<string>",
"contentType": "<string>",
"uploadUrl": "<string>",
"sourceUrl": "<string>",
"sourceUrlExpiresAt": "2026-04-15T08:30:00.000Z"
}{
"error": "Job payload is invalid.",
"code": "INVALID_REQUEST",
"details": [
{
"path": [
"ffmpegArgs"
],
"message": "ffmpegArgs are required.",
"code": "custom"
}
]
}UnauthorizedAuthorizations
Send your FFmpeg API Cloud API key as a bearer token.
Body
application/json
Response
Upload slot created.
An upload slot and temporary source URL for a created media asset.
A UUID value.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"3f0e9cfd-4e56-4c0b-8df0-2bfa88c40f50"
An ISO 8601 timestamp.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2026-04-15T08:30:00.000Z"

